DraggableButtonEvent

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.client
Class DraggableButtonEvent

    java.lang.Object
      org.openswing.swing.pivottable.client.DraggableButtonEvent

public class DraggableButtonEvent
extends java.lang.Object

Title: OpenSwing Framework

Description: Droppable panel used to host draggable buttons of pivot table.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`DraggableButtonEvent(java.lang.String panelId, int source, int target)`

Method Summary
`java.lang.String` | `getPanelId()`
`int` | `getSource()`
`int` | `getTarget()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DraggableButtonEvent

    public DraggableButtonEvent(java.lang.String panelId,
                                int source,
                                int target)

Method Detail

### getSource

    public final int getSource()

  Returns:
    DraggableButton source button

### getTarget

    public final int getTarget()

  Returns:
    DraggableButton target button

### getPanelId

    public final java.lang.String getPanelId()

  Returns:
    button container id

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD